Garmin ANT Stick

General discussion about the Bushido Ergo/VR trainer

Moderators: mcorn, Tacx Moderator, malfukt, Nasz

Postby UniMatrixOne » Sat Aug 27, 2011 10:00 am

I received my Vortex and yesterday I had the time to finally see if I could get the USB2ANT stick I got from Ebay working.

I downloaded and unpacked 2 files from the thisisant-website:
ant usb2 drivers.zip
ant_usb2_windows_package.zip

After plugging in the USB-stick and getting a prompt for drivers I directed to the unpacked ant usb drivers and the stick installed fine; no exclamation marks in device manager.

After that looked in the 'Release' folder of the ant_usb2_windows_package; there are 5 DLL's and an XML File.

In C:\Program Files\Tacx\TacxTrainersoftware3 there are only 3 of those:

ANT_DLL.dll
DSI_CP210xManufacturing_3_1.dll
DSI_SiUSBXp_3_1.dll

They are also present in the C:\Program Files\Tacx\TacxTrainersoftware3\updater - folder, so if you want to use the updater you'll have to replace them also.

I made a copy of the original DLL's and copied in the one's from the 'Release' folder. Only ANT_DLL.dll seemed different (in size).

TTS3 started up with no problem. After powering on the Vortex + interface I changed interface in TTS from 'i-magic / Fortius' to 'Vortex' and after saving my interface and brake were detected just fine :D

I already noticed that the interface had the latest firmware but the brake had an older version so I went ahead and clicked the update link in TTS. It reported TTS had to shut down and when clicking OK, TTS crashed / stopped responding on 'Closing down Vortex connection' as ms6073 already predicted :wink:

I launched the updater separately and updated the brake with no problems only on shutdown of the updater it crashed again but the brake led was already blinking green so the update succeeded. TTS and the interface both reported the new firmware.

I haven't really trained on it but starting and using RLV, RLT or VR gave no problems, it just seems the code that disconnects the Vortex / Bushido is not compatible with the USB2ANT-stick.

I'll do some more testing, when reading the error report TTS gave on shutdown I have a hunch (and a hunch only) that maybe the ANT_WrappedLib.dll is also needed.

OK, so I also placed ANT_WrappedLib.dll in the TacxTrainersoftware3 directory and just started TTS3.4 three times, did a minute training and closed TTS without errors...

Maybe some of you guys want to test this also? I'm on Win7 32-bit by the way.
UniMatrixOne
 
Posts: 42
Joined: Fri Nov 05, 2010 3:21 pm
Location: Netherlands, NH

Postby ms6073 » Mon Aug 29, 2011 5:00 pm

Excellent. I thought about that but have had to focus on training and using the Bushido stand-alone to train with Catalyst programs created in TTS and sent to the Bushido handlebar controller works just fine, thus troubleshooting the ANT2USB TTS errors moved way down the priority list.

Edit1: running TTS 3.4 under Windows Vista 32-bit and after placing a copy of the ANT_WrappedLib.dll in the c:\program files\tacx\TacxTrainersoftware3 folder, when I try to start TTS3, shortly after the splash screen appears, the application stops, returning a Windows Unhandled Exception dialog. Restarted the computer and repeated and this occurs everytime I try to start. Removing the ANT_WrappedLib.dll from the folder resolves the issue.

Edit2: After re-readiing the previous posters process, I realize that I did not follow the steps exactly, as I did first update the ANT2USB stick drivers so will be taking another stab at this tonight.
Michael - Cogito Ergo Sum
__0
_ \ |_
(O)/ (O)
User avatar
ms6073
 
Posts: 833
Joined: Sat Oct 07, 2006 9:06 pm
Location: USA, Houston, TX

Finally

Postby goggsy » Tue Sep 06, 2011 7:41 am

After a forced upgrade to a Bushido which arrived today i have spent all morning trying to get the bugger to talk to my pc. I am running W7 64 with TTS 3.4. I purchased a Garman Ant2 dongle and tried to make it work. No luck. re-installed the dongle after removing garman programs (which were previously disabled). still no luck. Replaced the 3 .dll files recommended and the software would fail with a runtime error. replaced just ant_dll.dll and still wouldnt connect. Replaced all three again but included ANT_WrappedLib.dll and then it connected. The software did hang on first startup but the second time it just worked. Seems to be working fine now.

To think this all started because i purchased the TTS3 for my imagic as it was almost cheaper to do the trainer upgrade from overseas than buy the new head unit in Australia. Gotta love our dollar at the moment.

Now only to get the legs to punch out 40 km/h to calibrate the brake
goggsy
 
Posts: 5
Joined: Mon Feb 11, 2008 8:58 am
Location: Melbourne, Australia

Postby Zibby » Thu Sep 22, 2011 1:26 am

Im in front of decision of buying complete upgrade kit or just the ANT USB.

I read here about initial ANT installation problems, disconnect errors, but how you guys see it after weeks or months of use ? Have you experience any problems during trainings ? shall I go for it :) ?
Zibby
 
Posts: 1
Joined: Wed Sep 21, 2011 10:00 pm
Location: Czech Republic, Prague

Postby UniMatrixOne » Thu Sep 22, 2011 12:32 pm

It is still working OK, brake and computer are found at startup and disconnected properly when closing TTS.

You'll have to use the drivers and dll's mentioned in my earlier post, including ant-wrappedlib.dll.

Another option is to find a Tacx reseller who wants to order T1991.10 for you: the original Tacx ANT stick that's in the upgrade kit as a spare part. It'll set you back about 80 euro's. I cancelled my order for that one because the 30 euro version 2 stick I got from Ebay worked good enough for me 8)
UniMatrixOne
 
Posts: 42
Joined: Fri Nov 05, 2010 3:21 pm
Location: Netherlands, NH

Postby hamsey » Tue Oct 11, 2011 5:20 pm

I followed UniMatrixOne instructions but could not get it to work. TTS 3.5 would just crash on startup. I did not get a prompt for drivers when I inserted the garmin usb2 stick. Went to device manager and installed the drivers that way. Yellow exclamation went away, rebooted installed the files including wrappedLib.dll rebooted again and tied to start TTS and I got a windows error. Went back to the old files and it works again with the old usb stick.

Would like to used the usb2 stick but do not know what to try now.
Norm, Connecticut
Bushido 2011 W7 64 TTS3.13
hamsey
 
Posts: 224
Joined: Fri Jan 21, 2011 9:45 pm

Tacx ANT stick is now version 2 ??

Postby JohnE » Wed Oct 19, 2011 11:38 am

I also followed the steps when I had a Garmin ANT2 stick and it worked 1 out of 4-5 times - the rest of the times my TTS3.5 crashed on startup. I then ordered a Tacx ANT T1991 stick to overcome this problem and it arrived yesterday. A nice stick with Tacx Logo :D

I connected it to my Laptop and it was detected as an ANT2 stick and no drivers was available at Windows update :( Is the new Tacx ANT sticks version 2 now ?

I installed the drivers for a ANT2 stick from thisisant.com and the yellow mark in the device manager was gone for this device. I then started the TTS3.5 and the software didn't crash :D , but I can't get my Bushido to connect with my Laptop.

I now have a working TTS3.5 software with a Tacx ANT2 stick, that do not crash - but it can't connect to my Bushido. :cry:

What can I do?
JohnE
 
Posts: 7
Joined: Wed Nov 24, 2010 10:06 am

Re: Tacx ANT stick is now version 2 ??

Postby ms6073 » Wed Oct 19, 2011 5:02 pm

JohnE wrote:I connected it [Tacx ANT T1991 stick] to my Laptop and it was detected as an ANT2 stick and no drivers was available at Windows update :( Is the new Tacx ANT sticks version 2 now?

It is my understanding that Garmin bought/owns the manufacturer of the ANT+ USB dongle and that company is no longer manufacturering the orginal ANT+ USB dongle. With that in mind, it is very likely that Tacx has depleted supplies of the orginal and now has no chouce but to sell ANT2 USB dongles. Although I typically only use TTS to send new Catalyst training programs to the Bushido Handlebar controller, I am going to stay with TTS 3.4 until Tacx has added ANT+USB2 support so that we dont have to fiddle with different driversets to make it work. With USB 3.0 on the horizon, wonder how long before Garmin starts putting out ANT+USB3 dongles? :lol:
Michael - Cogito Ergo Sum
__0
_ \ |_
(O)/ (O)
User avatar
ms6073
 
Posts: 833
Joined: Sat Oct 07, 2006 9:06 pm
Location: USA, Houston, TX

Tacx ANT stick is now version 2 ??

Postby JohnE » Mon Oct 31, 2011 10:15 am

Hi

I found a problem with my TACX ANT stick:

If I install it in Win7 64 bit, it is installed with a Product ID (PID) of 1008 and is very unstable in TTS3 - probarly due to driversissues.
If I install it in Win7 32 bit, it is installed with a Product ID (PID) of 1004 and works with the original drivers in TTS3.

It is the same stick but with different Product ID in the 2 versions of Win7.

I would prefer it to work in the 64 bit version, but there is the problem with installing the right drivers, due to the wrong Product ID there is no 64 bit drivers. How can I get the right Product ID in Win7 64 bit and install the right drivers ?
JohnE
 
Posts: 7
Joined: Wed Nov 24, 2010 10:06 am

Postby Begelaar » Wed Nov 02, 2011 5:23 pm

My Garmin ANT stick and my Tacx ANT stick are fully interchangeable.

The PC OS is Windows7 64bit.

Don't know the version of the Garmin ANT stick, but the driver is DSI_SiUSBXP_3_1.sys from Silicon Laboratories, file version 3.1.

I bought the Bushido and upgrade PC 2 weeks ago.

Sequence of installing was first Garmin followed by the TTS software.

No additional software was installed, nor did I hack any INF or whatever files.

I can use the Garmin stick for connection between my PC and the Bushido and the Tacx stick for connection between my PC and my Garmin device (Forerunner 310XT).

Of course the Garmin ANT agent needs to be closed when connecting the Bushido.

Hope this helps.
Begelaar
 
Posts: 6
Joined: Wed Nov 02, 2011 12:03 am

Postby ms6073 » Thu Nov 10, 2011 1:05 am

I am not aware of anyone who has an ANT2USB stick that works with TTS 3.5 and also know from personal experience after I upgraded Garmin ANT Agent to use a Garmin ANT2USB stick, Bushdio no longer connected to TTS with the ANT1USB stick due to the driver issue. I opted to uninstall Garmin ANT Agent and then did the driver swap discussed above in order to get the ANT2USB stick to work with TTS 3.4 but had to revert back to ANT1USB for TTS 3.5 as the ANT2USB drivers caused TTS 3.5 to crash everytime during startup.

Begelaar wrote:Don't know the version of the Garmin ANT stick, but the driver is DSI_SiUSBXP_3_1.sys from Silicon Laboratories, file version 3.1.

It would help if you could identify which 'model' of the ANT stick you are using. This can be accomplished by looking at the back side of the ANT Stick where you will find near the ANT+ logo in very small print, either ANT1USB or ANT2USB.
Michael - Cogito Ergo Sum
__0
_ \ |_
(O)/ (O)
User avatar
ms6073
 
Posts: 833
Joined: Sat Oct 07, 2006 9:06 pm
Location: USA, Houston, TX

Garmin Ant Stick ans TTS 3.6

Postby JohnE » Sun Nov 27, 2011 3:26 pm

Does anybody know if the new TTS 3.6 support the Garmin Ant Stick and drivers better than the 3.5 version - is the Ant version 2 drivers included in the TTS 3.6 or shall we still strugle with copying them manuel ?
JohnE
 
Posts: 7
Joined: Wed Nov 24, 2010 10:06 am

Postby UniMatrixOne » Sun Nov 27, 2011 9:23 pm

I don't think anything has changed as far as the ANT support is concerned. I still experience lockups / crashes at startup and shutdown. Have to start TTS at least two times for a successful connection.

No problems during training however.

Hope TTS4 will support the generation 2 stick.
UniMatrixOne
 
Posts: 42
Joined: Fri Nov 05, 2010 3:21 pm
Location: Netherlands, NH

Re: Garmin Ant Stick ans TTS 3.6

Postby ms6073 » Wed Nov 30, 2011 8:04 pm

JohnE wrote:is the Ant version 2 drivers included in the TTS 3.6 or shall we still strugle with copying them manuel ?

TTS 3.6 has drivers only for the orginal ANT1USB stick. I was using the ANT2USB stick and driver with 3.5 but had to revert back to the ANT1USB drivers after upgrading as TTS 3.6 crashed shortly after displaying the news every single time. If someone has been able to get the version 2 drivers working with TTS 3.6, it would be nice if they would reply/post the solution on how they got them to work with TTS 3.6!
Michael - Cogito Ergo Sum
__0
_ \ |_
(O)/ (O)
User avatar
ms6073
 
Posts: 833
Joined: Sat Oct 07, 2006 9:06 pm
Location: USA, Houston, TX

Re: Garmin Ant Stick ans TTS 3.6

Postby UniMatrixOne » Wed Nov 30, 2011 9:07 pm

ms6073 wrote:
JohnE wrote:is the Ant version 2 drivers included in the TTS 3.6 or shall we still strugle with copying them manuel ?

TTS 3.6 has drivers only for the orginal ANT1USB stick. I was using the ANT2USB stick and driver with 3.5 but had to revert back to the ANT1USB drivers after upgrading as TTS 3.6 crashed shortly after displaying the news every single time. If someone has been able to get the version 2 drivers working with TTS 3.6, it would be nice if they would reply/post the solution on how they got them to work with TTS 3.6!


Hi Michael, try disabling the news or if you can't because of crashing, first start without internet connection. There has been an issue with the news that was also discussed on this forum that might be the problem and not the drivers.

I'm using TTS 3.6 with the ANT2 drivers copied as described earlier in this topic.
UniMatrixOne
 
Posts: 42
Joined: Fri Nov 05, 2010 3:21 pm
Location: Netherlands, NH

Postby ms6073 » Wed Nov 30, 2011 9:19 pm

I don't think it was an issue with the news as I did not upgrade until after Tacx resolved that problem. Currently the ANT1 ANT2 drivers are really not an issue as I only use TTS for sending Catalyst trainings to Bushido and an occasion RLT. Of course it would be nice to use the ANT2 stick as it has less lag when training with TTS but I suspect we will have to wait for TTS 4.0 before Tacx offers those drivers.
Michael - Cogito Ergo Sum
__0
_ \ |_
(O)/ (O)
User avatar
ms6073
 
Posts: 833
Joined: Sat Oct 07, 2006 9:06 pm
Location: USA, Houston, TX

Postby JPansy » Thu Dec 01, 2011 7:40 am

I have the same issue with 3.6 and my Garmin ANT2 Stick. Crashes shortly after displaying news. If I remove the stick or the (copied) ant.dll's, the software works - but of course the bushido not ... W7/32bit. TTS2 works with the new dll's as well as older versions of 3.x did. Am using USB drivers that came with the TTS2 software (never installed any 3rd party drivers like Garmins or the ones from thisisant.com)

Looks to me as if 3.6 does not work with the newer thisisant.dll's which are necessary for ANT2 sticks.

:cry:
"alls you can do is alls you can do" - http://blog.jpansy.at
JPansy
 
Posts: 92
Joined: Sat Oct 30, 2010 1:34 am

Postby UniMatrixOne » Thu Dec 01, 2011 8:07 am

Mine crashes too, but after 1 or 2 restarts of tts3.6 it succeeds in finding the Vortex computer and brake.

I haven't enabled the news again so maybe you guys can also try disabling it?

Still would like to see support for ANT2!
UniMatrixOne
 
Posts: 42
Joined: Fri Nov 05, 2010 3:21 pm
Location: Netherlands, NH

Postby JPansy » Fri Dec 02, 2011 6:26 pm

Did a bit more testing yesterday, with different drivers, starting TTS with and without stick, with & without Bushido head unit turned on etc.. Final conclusion: I could not find a working combination of TTS 3.6 (in Bushido Mode) & Garmin ANT2 Stick & Win7/32bit

So i sent a mail to tacx support and asked them to forward the problems to the dev team.

Today i got this - somewhat cryptic - response back:
"Yes

But TTS3.7 to 3.8 will
Those will be official TTS2 support"

Which i interpret as: "TTS 3.7 or 3.8 will have official ANT2 support" :D
"alls you can do is alls you can do" - http://blog.jpansy.at
JPansy
 
Posts: 92
Joined: Sat Oct 30, 2010 1:34 am

Postby UniMatrixOne » Fri Dec 02, 2011 8:47 pm

Would be great!

However, if they keep the new releases up (3.7, 3.8 ) they only have 3.9 left before 4.0 :wink:
UniMatrixOne
 
Posts: 42
Joined: Fri Nov 05, 2010 3:21 pm
Location: Netherlands, NH

PreviousNext

Return to Tacx Bushido/Vortex/Genius/Upgrade PC

Who is online

Users browsing this forum: No registered users and 1 guest